#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from typing import Self
from Models.RouteModel import RouteModel

class RoutesManagerInterface:

    def start(self:Self) -> None:pass

    def add(self:Self, inputs:str|RouteModel|list|tuple, overwrite:bool = False) -> None:pass

    def go(self:Self, method:str, request:str, inputs:dict) -> None:pass